Entities\Social:
    type: entity
    table: social
    repositoryClass: Repositories\SocialRepository
    id:
        id:
            type: integer
            generator:
                strategy: AUTO
    fields:
        name:
            type: string
            nullable: false
        link:
            type: string
            nullable: false
        class:
            type: string
            nullable: false
        pos:
            type: integer
            nullable: false

    lifecycleCallbacks: { }